<div class="container">
    <div [formGroup]="fruitForm" class="row">
      <div class="row text-center">
        <div class="col-12">
          <h1>Training</h1>
        </div>
      </div>
      <div class="col-5">
        <mat-form-field class="w-100" appearance="fill">
          <label>Name:</label>
          <input matInput formControlName="name" type="text" matInput>
        </mat-form-field>
      </div>
      <div class="col-5">
        <mat-form-field class="w-100" appearance="fill">
          <label>Description:</label>
          <input matInput formControlName="description" type="text" matInput>
        </mat-form-field>
      </div>
      <div class="col-2" *ngIf="!this.editFruit">
        <button [disabled]="!this.fruitForm.controls.name.value || !this.fruitForm.controls.description.value" type="button" class="btn btn-primary" (click)="createPost()">Create</button>
      </div>
      <div class="col-1" *ngIf="this.editFruit">
        <button  type="button" class="btn btn-primary" (click)="saveUpdatedFruit()">Save</button>
      </div>
      <div class="col-1" *ngIf="this.editFruit">
        <button  type="button" class="btn btn-primary" (click)="cancel()">Cancel</button>
      </div>
    </div>
    <div class="row text-center">
      <div class="col-12">
       <h1>Fruit List</h1>
      </div>
    </div>
    <div class="row">
      <div class="col-12">
        <ol>
          <li *ngFor="let fruit of result">{{fruit.name}}, {{fruit.description}}
            <span><button type="button" class="btn btn-success" (click)="edit(fruit)">Edit Fruit</button></span>
            <span><button type="button" class="btn btn-danger" (click)="delete(fruit)">Delete Fruit</button></span></li>
        </ol>
      </div>
    </div>
  </div>